%define upstream_name    Module-Release
%define upstream_version 2.135

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Automate software releases
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CACertOrg::CA)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ConfigReader::Simple)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Null)
BuildRequires: perl(Mojolicious) >= 8.0.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
'Module::Release' automates your software release process. It started as a
script that automated my release process, so it has bits to talk to PAUSE
(CPAN) and SourceForge, and to use 'Makefile.PL' and 'CVS'. Other people
have extended this in other modules under the same namespace so you can use
'Module::Build', 'svn', and many other things.

The methods represent a step in the release process. Some of them check a
condition (e.g. all tests pass) and die if that doesn't work.
'Module::Release' doesn't let you continue if something is wrong. Once you
have checked everything, use the upload features to send your files to the
right places.

The included 'release' script is a good starting place. Don't be afraid to
edit it for your own purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/release-test
%{_mandir}/man1/release-test.*
%{_mandir}/man3/*
%{perl_vendorlib}/Module
%_bindir/release
%_mandir/man1/release.1*


%changelog
* Wed Jan 10 2024 tv <tv> 2.135.0-1.mga10
+ Revision: 2029436
- update to 2.135

* Wed Aug 30 2023 tv <tv> 2.133.0-1.mga10
+ Revision: 1981106
- update to 2.133

* Mon Mar 28 2022 umeabot <umeabot> 2.128.0-2.mga9
+ Revision: 1830458
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 tv <tv> 2.128.0-1.mga9
+ Revision: 1701670
- update to 2.128

* Fri Feb 26 2021 tv <tv> 2.127.0-1.mga9
+ Revision: 1692139
- update to 2.127

* Wed Feb 12 2020 umeabot <umeabot> 2.125.0-3.mga8
+ Revision: 1505252
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.125.0-2.mga7
+ Revision: 1284847
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 2.125.0-1.mga7
+ Revision: 1207229
- update to 2.125

* Tue Oct 03 2017 tv <tv> 2.123.0-2.mga7
+ Revision: 1165564
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 2.123.0-1.mga7
+ Revision: 1157470
- update to 2.123

* Sun Jun 19 2016 pterjan <pterjan> 2.122.0-2.mga6
+ Revision: 1030275
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.122.0-1.mga6
+ Revision: 1002142
- update to 2.122

* Thu Feb 18 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 965935
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 839221
- update to 2.11

* Sun Oct 19 2014 umeabot <umeabot> 2.90.0-4.mga5
+ Revision: 788543
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-3.mga5
+ Revision: 741202
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-2.mga5
+ Revision: 685472
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 2.90.0-1.mga5
+ Revision: 668773
- update to 2.09

* Sun Feb 09 2014 sander85 <sander85> 2.80.0-1.mga5
+ Revision: 587407
- update to 2.08

* Fri Oct 18 2013 umeabot <umeabot> 2.60.0-3.mga4
+ Revision: 513108
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-2.mga3
+ Revision: 369963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 jquelin <jquelin> 2.60.0-1.mga2
+ Revision: 193854
- adding missing buildrequires:
- update to 2.06

* Wed Jan 26 2011 jquelin <jquelin> 2.50.0-2.mga1
+ Revision: 40709
- mageia rebuild
- imported package perl-Module-Release

